Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

The members of this enumerator class match the CorTypeAttr enumerator as defined in the corhdr.h file.

Specifies type attributes.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the type is abstract.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class To be added.

  LPTSTR is interpreted as ANSI.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  LPTSTR is interpreted automatically.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class To be added.

  Specifies that class fields are automatically laid out by the common language runtime.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that calling static methods of the type does not force the system to initialize the type.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class To be added.

  Specifies that the type is a class.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies class semantics information; the current class is contextful (else agile).

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes

  LPSTR is interpreted by some implementation-specific means, which includes the possibility of throwing a . Not used in the Microsoft implementation of the dnprdnshort.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes

  Used to retrieve non-standard encoding information for native interop. The meaning of the values of these 2 bits is unspecified. Not used in the Microsoft implementation of the dnprdnshort.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that class fields are laid out at the specified offsets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, HasSecurity To be added.

  Type has security associate with it.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, Import To be added.

  Specifies that the class or interface is imported from another module.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the type is an interface.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies class layout information.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with assembly visibility, and is thus accessible only by methods within its assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with assembly and family visibility, and is thus accessible only by methods lying in the intersection of its family and assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with family visibility, and is thus accessible only by methods within its own type and any derived types.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with family or assembly visibility, and is thus accessible only by methods lying in the union of its family and assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with private visibility.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is nested with public visibility.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class To be added.

  Specifies that the class is not public.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is public.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, ReservedMask To be added.

  Attributes reserved for runtime use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, RTSpecialName To be added.

  Runtime should check name encoding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is concrete and cannot be extended.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that class fields are laid out sequentially, in the order that the fields were emitted to the metadata.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes Class, AnsiClass, NotPublic, Serializable To be added.

  Specifies that the class can be serialized.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies that the class is special in a way denoted by the name.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Used to retrieve string information for native interoperability.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  LPTSTR is interpreted as UNICODE.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  Specifies type visibility information.

  0
- Field
  4.0.0.0
  System.Reflection.TypeAttributes

  Specifies a wrt type.

0